org.apache.xerces.impl.dv.dtd

## Class NMTOKENDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.NMTOKENDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

Direct Known Subclasses:
  XML11NMTOKENDatatypeValidator

    public class NMTOKENDatatypeValidator
    extends java.lang.Object
    implements DatatypeValidator

NMTOKEN datatype validator.

Version:
  $Id: NMTOKENDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`NMTOKENDatatypeValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid NMTOKEN value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NMTOKENDatatypeValidator

    public NMTOKENDatatypeValidator()

### Method Detail

#### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

Checks that "content" string is valid NMTOKEN value. If invalid a Datatype validation exception is thrown.

Specified by:
  `validate` in interface `DatatypeValidator`
Parameters:
  `content` - the string value that needs to be validated
  `context` - the validation context
Throws:
  `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  `InvalidDatatypeValueException`
See Also:
  `InvalidDatatypeValueException`